> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/piezimes-piespraudes/28.-mutacija-saglabat-vairakas-notes-pakesu-darbiba.md).

# 28. Mutācija: saglabāt vairākas "Notes", pakešu darbība

Šī mutācija ļauj pievienot vairākas Piezīmes norādītajam Laukam.

{% hint style="success" %}
Maksimālais saglabājamo Piezīmju skaits ir 25.
{% endhint %}

{% hint style="success" %}
Pievienojiet `uuid` atribūtu ievadā, lai atjauninātu Piezīmi.
{% endhint %}

* Piezīmi var sasaistīt ar Lauku, izmantojot tā unikālo identifikatoru `fieldUuid,`  uz saistīto SoilDataset, izmantojot `soilDatasetUuid`, uz ZonesMap, izmantojot `vectorAnalysisMapUuid`.
* Piezīmes koordinātas var noteikt, izmantojot `centroid` atribūtu, kam nepieciešamas definētas `platuma` un `garuma` vērtības.&#x20;
* Piezīmes tipu var norādīt, izmantojot `tips` atribūtu ar pieņemamām vērtībām `PLĀNOTS` vai `REĀLS`.&#x20;
* Piezīmes aprakstu var nodrošināt, izmantojot `comment` atribūtu. Ja aprakstam nepieciešamas vairākas rindas, `comment` atribūtam jāietver virkne ar jaunas rindas rakstzīmēm `\\n` lai atdalītu rindas. Piemēram: `"Pirmā rinda ir šeit\\nOtrā rinda ir šeit.\\nTrešā rinda ir šeit."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutācija BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: PLANNED,
      comment: "Masveida saglabāšana: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Masveida atjauninājums: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Masveida saglabāšana: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Masveida saglabāšana: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    izveidesDatums
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/piezimes-piespraudes/28.-mutacija-saglabat-vairakas-notes-pakesu-darbiba.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
